
# react-native-pulse-babylon

## Getting started

`$ npm install react-native-pulse-babylon --save`

### Mostly automatic installation

`$ react-native link react-native-pulse-babylon`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-pulse-babylon` and add `RNPulseBabylon.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNPulseBabylon.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNPulseBabylonPackage;` to the imports at the top of the file
  - Add `new RNPulseBabylonPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-pulse-babylon'
  	project(':react-native-pulse-babylon').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-pulse-babylon/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-pulse-babylon')
  	```


## Usage
```javascript
import RNPulseBabylon from 'react-native-pulse-babylon';

// TODO: What to do with the module?
RNPulseBabylon;
```
  